release_tracks: [ALPHA, BETA, GA]

help_text:
  brief: |
    Update an address group.
  description: |
    Update the details of an address group.

  examples: |
    Update description of an address group named ``my-address-group''.

      $ {command} my-address-group --description="New description"

arguments:
  resource:
    spec: !REF googlecloudsdk.command_lib.network_security.resources:addressGroup
    help_text: Name of the address group to be updated.
  params:
  - arg_name: description
    api_field: addressGroup.description
    help_text: New description of the address group.
  - arg_name: items
    api_field: addressGroup.items
    help_text: Items of the address group.
  - arg_name: purpose
    api_field: addressGroup.purpose
    help_text: |
      List of Address Group purposes.
    choices:
    - arg_value: DEFAULT
      enum_value: DEFAULT
    - arg_value: CLOUD-ARMOR
      enum_value: CLOUD_ARMOR
  labels:
    api_field: addressGroup.labels

async:
  collection: networksecurity.projects.locations.operations

request: &request
  ALPHA:
    api_version: v1alpha1
  BETA:
    api_version: v1beta1
  GA:
    api_version: v1
  collection: networksecurity.projects.locations.addressGroups
